| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Attributes | Friends | List of all members
cv::gapi::wip::onevpl::IDeviceSelector::Score Struct Reference

`#include <opencv2/gapi/streaming/onevpl/device_selector_interface.hpp>`

Collaboration diagram for cv::gapi::wip::onevpl::IDeviceSelector::Score:

## Public Types
using | Type = int16_t

## Public Member Functions
| Score (Type val)
| ~Score ()
Type | get () const
| operator Type () const

## Static Public Attributes
static constexpr Type | MaxActivePriority = std::numeric_limits<Type>::max()
static constexpr Type | MaxPassivePriority = MinActivePriority - 1
static constexpr Type | MinActivePriority = 0
static constexpr Type | MinPassivePriority = std::numeric_limits<Type>::min()

## Friends
struct | IDeviceSelector
bool | operator< (Score lhs, Score rhs)

## Member Typedef Documentation

## ◆ Type

using cv::gapi::wip::onevpl::IDeviceSelector::Score::Type = int16_t

## Constructor & Destructor Documentation

## ◆ Score()

cv::gapi::wip::onevpl::IDeviceSelector::Score::Score | ( | Type | val | ) |

## ◆ ~Score()

cv::gapi::wip::onevpl::IDeviceSelector::Score::~Score | ( |  | ) |

## Member Function Documentation

## ◆ get()

Type cv::gapi::wip::onevpl::IDeviceSelector::Score::get | ( |  | ) | const

## ◆ operator Type()

cv::gapi::wip::onevpl::IDeviceSelector::Score::operator Type | ( |  | ) | const

## Friends And Related Symbol Documentation

## ◆ IDeviceSelector

friend struct IDeviceSelector
| friend

## ◆ operator<

bool operator< | ( | Score | lhs,
|  | Score | rhs )
| friend

## Member Data Documentation

## ◆ MaxActivePriority

Type cv::gapi::wip::onevpl::IDeviceSelector::Score::MaxActivePriority = std::numeric_limits<Type>::max()
| static constexpr

## ◆ MaxPassivePriority

Type cv::gapi::wip::onevpl::IDeviceSelector::Score::MaxPassivePriority = MinActivePriority - 1
| static constexpr

## ◆ MinActivePriority

Type cv::gapi::wip::onevpl::IDeviceSelector::Score::MinActivePriority = 0
| static constexpr

## ◆ MinPassivePriority

Type cv::gapi::wip::onevpl::IDeviceSelector::Score::MinPassivePriority = std::numeric_limits<Type>::min()
| static constexpr

The documentation for this struct was generated from the following file:

- opencv2/gapi/streaming/onevpl/device_selector_interface.hpp